> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# List HMAC secrets for organization

GET https://api-d.docusign.net/Management/v2/organizations/{organizationId}/connect/secret

Returns a list of the [HMAC](/platform/webhooks/connect/hmac/) secrets for an organization. The full secret information is redacted from this set of returned information; it is only fully displayed directly after creation.

Required scopes: `connect_org_hmac_read_api`

Reference: https://developers.docusign.com/docs/admin-api/reference/organization/connect/getconnecthmacsecrets

## Authentication

- `Authorization` header (bearer token, required) — OAuth2 Access code Grant

## Servers

- `https://api-d.docusign.net/Management` (Demo, default)
- `https://api.docusign.net/Management` (Production)

## Request

### Path parameters

- `organizationId` (string, required) — The GUID ID of the organization owning the HMAC secrets to be returned.

## Response

### 200

OK

- `secrets` (list of string, optional)

## Examples

**Response**

```json
{
  "secrets": [
    "string"
  ]
}
```